%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn __SHELLFU_MODNAME__
%global shellfu_req shellfu >= 0.10.4, shellfu < 0.11
%if 0%{?rhel} <= 7
%global py_eq     python
%global pylibs_req python-libs
%else
%global py_eq     python3
%global pylibs_req python3-libs
%endif

Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: %shellfu_req
BuildRequires: perl
BuildRequires: %py_eq
BuildRequires: %pylibs_req
BuildRequires: shellfu-bash-pretty

Requires: %shellfu_req
Requires: perl
Requires: %py_eq
Requires: %pylibs_req
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description
UriPecker is Shellfu/bash module of one function that takes a string on
standard output, and looks for things that look like could be URIs.
Besides real URIs, it can look for set of keywords and identifiers such
as 'build 1234', 'issue#45' or 'bz6789' and translate them based on a
simple INI file.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    SHELLFU_PATH=%{buildroot}/%{_datadir}/shellfu/include-bash

%files
%doc %{_docdir}/%{name}/README.md
%{sfincb}/%{sfmodn}.sh


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
